Index: EcnlProtoTool/trunk/asp3_dcre/mbed/rtos/TARGET_CORTEX/mbed_rtx_conf.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/mbed/rtos/TARGET_CORTEX/mbed_rtx_conf.h	(revision 429)
+++ EcnlProtoTool/trunk/asp3_dcre/mbed/rtos/TARGET_CORTEX/mbed_rtx_conf.h	(revision 429)
@@ -0,0 +1,251 @@
+/* mbed Microcontroller Library
+ * Copyright (c) 2006-2012 ARM Limited
+ *
+ * Permission is hereby granted, free of charge, to any person obtaining a copy
+ * of this software and associated documentation files (the "Software"), to deal
+ * in the Software without restriction, including without limitation the rights
+ * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+ * copies of the Software, and to permit persons to whom the Software is
+ * furnished to do so, subject to the following conditions:
+ *
+ * The above copyright notice and this permission notice shall be included in
+ * all copies or substantial portions of the Software.
+ *
+ * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+ * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+ * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+ * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+ * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+ * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
+ * SOFTWARE.
+ */
+#ifndef MBED_RTX_CONF_H
+#define MBED_RTX_CONF_H
+
+#include "mbed_rtx.h"
+
+/** Any access to RTX5 specific data structures used in common code should be wrapped in ifdef MBED_OS_BACKEND_RTX5 */
+#define MBED_OS_BACKEND_RTX5
+
+/** The thread's stack size can be configured by the application, if not explicitly specified it'll default to 4K */
+#ifndef MBED_CONF_APP_THREAD_STACK_SIZE
+#define MBED_CONF_APP_THREAD_STACK_SIZE 4096
+#endif
+
+#define OS_STACK_SIZE               MBED_CONF_APP_THREAD_STACK_SIZE
+
+/** The timer thread's stack size can be configured by the application, if not explicitly specified, it'll default to 768 */
+#ifndef MBED_CONF_APP_TIMER_THREAD_STACK_SIZE
+#define MBED_CONF_APP_TIMER_THREAD_STACK_SIZE   768
+#endif
+
+#define OS_TIMER_THREAD_STACK_SIZE  MBED_CONF_APP_TIMER_THREAD_STACK_SIZE
+
+/** The idle thread's stack size can be configured by the application, if not explicitly specified, it'll default to 512 */
+#ifndef MBED_CONF_APP_IDLE_THREAD_STACK_SIZE
+#define MBED_CONF_APP_IDLE_THREAD_STACK_SIZE    512
+#endif
+
+#define OS_IDLE_THREAD_STACK_SIZE   MBED_CONF_APP_IDLE_THREAD_STACK_SIZE
+
+#define OS_DYNAMIC_MEM_SIZE         0
+
+#if defined(OS_TICK_FREQ) && (OS_TICK_FREQ != 1000)
+#error "OS Tickrate must be 1000 for system timing"
+#endif
+
+#if !defined(OS_STACK_WATERMARK) && (defined(MBED_STACK_STATS_ENABLED) || defined(MBED_ALL_STATS_ENABLED))
+#define OS_STACK_WATERMARK          1
+#endif
+
+#if !defined(OS_STACK_WATERMARK) && defined(MBED_THREAD_STATS_ENABLED)
+#define OS_STACK_WATERMARK          1
+#endif
+
+
+#define OS_IDLE_THREAD_TZ_MOD_ID     1
+#define OS_TIMER_THREAD_TZ_MOD_ID    1
+
+
+// Don't adopt default multi-thread support for ARM/ARMC6 toolchains from RTX code base.
+// Provide Mbed-specific instead.
+#define RTX_NO_MULTITHREAD_CLIB
+// LIBSPACE default value set for ARMCC
+#define OS_THREAD_LIBSPACE_NUM      4
+
+#define OS_IDLE_THREAD_NAME         "idle_thread"
+#define OS_TIMER_THREAD_NAME        "timer_thread"
+
+/* Enable only the evr events we use in Mbed-OS to save flash space. */
+//Following events are used by Mbed-OS, DO NOT disable them
+//#define EVR_RTX_KERNEL_ERROR_DISABLE
+//#define EVR_RTX_THREAD_ERROR_DISABLE
+//#define EVR_RTX_THREAD_EXIT_DISABLE
+//#define EVR_RTX_THREAD_TERMINATE_DISABLE
+//#define EVR_RTX_TIMER_ERROR_DISABLE
+//#define EVR_RTX_EVENT_FLAGS_ERROR_DISABLE
+//#define EVR_RTX_MUTEX_ERROR_DISABLE
+//#define EVR_RTX_SEMAPHORE_ERROR_DISABLE
+//#define EVR_RTX_MEMORY_POOL_ERROR_DISABLE
+//#define EVR_RTX_MESSAGE_QUEUE_ERROR_DISABLE
+
+//Following events are NOT used by Mbed-OS, you may enable them if needed for debug purposes
+#define EVR_RTX_MEMORY_INIT_DISABLE
+#define EVR_RTX_MEMORY_ALLOC_DISABLE
+#define EVR_RTX_MEMORY_FREE_DISABLE
+#define EVR_RTX_MEMORY_BLOCK_INIT_DISABLE
+#define EVR_RTX_MEMORY_BLOCK_ALLOC_DISABLE
+#define EVR_RTX_MEMORY_BLOCK_FREE_DISABLE
+#define EVR_RTX_KERNEL_INITIALIZE_DISABLE
+#define EVR_RTX_KERNEL_INITIALIZED_DISABLE
+#define EVR_RTX_KERNEL_GET_INFO_DISABLE
+#define EVR_RTX_KERNEL_INFO_RETRIEVED_DISABLE
+#define EVR_RTX_KERNEL_GET_STATE_DISABLE
+#define EVR_RTX_KERNEL_START_DISABLE
+#define EVR_RTX_KERNEL_STARTED_DISABLE
+#define EVR_RTX_KERNEL_LOCK_DISABLE
+#define EVR_RTX_KERNEL_LOCKED_DISABLE
+#define EVR_RTX_KERNEL_UNLOCK_DISABLE
+#define EVR_RTX_KERNEL_UNLOCKED_DISABLE
+#define EVR_RTX_KERNEL_RESTORE_LOCK_DISABLE
+#define EVR_RTX_KERNEL_LOCK_RESTORED_DISABLE
+#define EVR_RTX_KERNEL_SUSPEND_DISABLE
+#define EVR_RTX_KERNEL_SUSPENDED_DISABLE
+#define EVR_RTX_KERNEL_RESUME_DISABLE
+#define EVR_RTX_KERNEL_RESUMED_DISABLE
+#define EVR_RTX_KERNEL_GET_TICK_COUNT_DISABLE
+#define EVR_RTX_KERNEL_GET_TICK_FREQ_DISABLE
+#define EVR_RTX_KERNEL_GET_SYS_TIMER_COUNT_DISABLE
+#define EVR_RTX_KERNEL_GET_SYS_TIMER_FREQ_DISABLE
+#define EVR_RTX_THREAD_NEW_DISABLE
+#define EVR_RTX_THREAD_CREATED_DISABLE
+#define EVR_RTX_THREAD_GET_NAME_DISABLE
+#define EVR_RTX_THREAD_GET_ID_DISABLE
+#define EVR_RTX_THREAD_GET_STATE_DISABLE
+#define EVR_RTX_THREAD_GET_STACK_SIZE_DISABLE
+#define EVR_RTX_THREAD_GET_STACK_SPACE_DISABLE
+#define EVR_RTX_THREAD_SET_PRIORITY_DISABLE
+#define EVR_RTX_THREAD_GET_PRIORITY_DISABLE
+#define EVR_RTX_THREAD_YIELD_DISABLE
+#define EVR_RTX_THREAD_SUSPEND_DISABLE
+#define EVR_RTX_THREAD_SUSPENDED_DISABLE
+#define EVR_RTX_THREAD_RESUME_DISABLE
+#define EVR_RTX_THREAD_RESUMED_DISABLE
+#define EVR_RTX_THREAD_DETACH_DISABLE
+#define EVR_RTX_THREAD_DETACHED_DISABLE
+#define EVR_RTX_THREAD_JOIN_DISABLE
+#define EVR_RTX_THREAD_JOIN_PENDING_DISABLE
+#define EVR_RTX_THREAD_JOINED_DISABLE
+#define EVR_RTX_THREAD_BLOCKED_DISABLE
+#define EVR_RTX_THREAD_UNBLOCKED_DISABLE
+#define EVR_RTX_THREAD_PREEMPTED_DISABLE
+#define EVR_RTX_THREAD_SWITCHED_DISABLE
+#define EVR_RTX_THREAD_DESTROYED_DISABLE
+#define EVR_RTX_THREAD_GET_COUNT_DISABLE
+#define EVR_RTX_THREAD_ENUMERATE_DISABLE
+#define EVR_RTX_THREAD_FLAGS_SET_DISABLE
+#define EVR_RTX_THREAD_FLAGS_SET_DONE_DISABLE
+#define EVR_RTX_THREAD_FLAGS_CLEAR_DISABLE
+#define EVR_RTX_THREAD_FLAGS_CLEAR_DONE_DISABLE
+#define EVR_RTX_THREAD_FLAGS_GET_DISABLE
+#define EVR_RTX_THREAD_FLAGS_WAIT_DISABLE
+#define EVR_RTX_THREAD_FLAGS_WAIT_PENDING_DISABLE
+#define EVR_RTX_THREAD_FLAGS_WAIT_TIMEOUT_DISABLE
+#define EVR_RTX_THREAD_FLAGS_WAIT_COMPLETED_DISABLE
+#define EVR_RTX_THREAD_FLAGS_WAIT_NOT_COMPLETED_DISABLE
+#define EVR_RTX_THREAD_DELAY_DISABLE
+#define EVR_RTX_THREAD_DELAY_UNTIL_DISABLE
+#define EVR_RTX_THREAD_DELAY_COMPLETED_DISABLE
+#define EVR_RTX_TIMER_CALLBACK_DISABLE
+#define EVR_RTX_TIMER_NEW_DISABLE
+#define EVR_RTX_TIMER_CREATED_DISABLE
+#define EVR_RTX_TIMER_GET_NAME_DISABLE
+#define EVR_RTX_TIMER_START_DISABLE
+#define EVR_RTX_TIMER_STARTED_DISABLE
+#define EVR_RTX_TIMER_STOP_DISABLE
+#define EVR_RTX_TIMER_STOPPED_DISABLE
+#define EVR_RTX_TIMER_IS_RUNNING_DISABLE
+#define EVR_RTX_TIMER_DELETE_DISABLE
+#define EVR_RTX_TIMER_DESTROYED_DISABLE
+#define EVR_RTX_EVENT_FLAGS_NEW_DISABLE
+#define EVR_RTX_EVENT_FLAGS_CREATED_DISABLE
+#define EVR_RTX_EVENT_FLAGS_GET_NAME_DISABLE
+#define EVR_RTX_EVENT_FLAGS_SET_DISABLE
+#define EVR_RTX_EVENT_FLAGS_SET_DONE_DISABLE
+#define EVR_RTX_EVENT_FLAGS_CLEAR_DISABLE
+#define EVR_RTX_EVENT_FLAGS_CLEAR_DONE_DISABLE
+#define EVR_RTX_EVENT_FLAGS_GET_DISABLE
+#define EVR_RTX_EVENT_FLAGS_WAIT_DISABLE
+#define EVR_RTX_EVENT_FLAGS_WAIT_PENDING_DISABLE
+#define EVR_RTX_EVENT_FLAGS_WAIT_TIMEOUT_DISABLE
+#define EVR_RTX_EVENT_FLAGS_WAIT_COMPLETED_DISABLE
+#define EVR_RTX_EVENT_FLAGS_WAIT_NOT_COMPLETED_DISABLE
+#define EVR_RTX_EVENT_FLAGS_DELETE_DISABLE
+#define EVR_RTX_EVENT_FLAGS_DESTROYED_DISABLE
+#define EVR_RTX_MUTEX_NEW_DISABLE
+#define EVR_RTX_MUTEX_CREATED_DISABLE
+#define EVR_RTX_MUTEX_GET_NAME_DISABLE
+#define EVR_RTX_MUTEX_ACQUIRE_DISABLE
+#define EVR_RTX_MUTEX_ACQUIRE_PENDING_DISABLE
+#define EVR_RTX_MUTEX_ACQUIRE_TIMEOUT_DISABLE
+#define EVR_RTX_MUTEX_ACQUIRED_DISABLE
+#define EVR_RTX_MUTEX_NOT_ACQUIRED_DISABLE
+#define EVR_RTX_MUTEX_RELEASE_DISABLE
+#define EVR_RTX_MUTEX_RELEASED_DISABLE
+#define EVR_RTX_MUTEX_GET_OWNER_DISABLE
+#define EVR_RTX_MUTEX_DELETE_DISABLE
+#define EVR_RTX_MUTEX_DESTROYED_DISABLE
+#define EVR_RTX_SEMAPHORE_NEW_DISABLE
+#define EVR_RTX_SEMAPHORE_CREATED_DISABLE
+#define EVR_RTX_SEMAPHORE_GET_NAME_DISABLE
+#define EVR_RTX_SEMAPHORE_ACQUIRE_DISABLE
+#define EVR_RTX_SEMAPHORE_ACQUIRE_PENDING_DISABLE
+#define EVR_RTX_SEMAPHORE_ACQUIRE_TIMEOUT_DISABLE
+#define EVR_RTX_SEMAPHORE_ACQUIRED_DISABLE
+#define EVR_RTX_SEMAPHORE_NOT_ACQUIRED_DISABLE
+#define EVR_RTX_SEMAPHORE_RELEASE_DISABLE
+#define EVR_RTX_SEMAPHORE_RELEASED_DISABLE
+#define EVR_RTX_SEMAPHORE_GET_COUNT_DISABLE
+#define EVR_RTX_SEMAPHORE_DELETE_DISABLE
+#define EVR_RTX_SEMAPHORE_DESTROYED_DISABLE
+#define EVR_RTX_MEMORY_POOL_NEW_DISABLE
+#define EVR_RTX_MEMORY_POOL_CREATED_DISABLE
+#define EVR_RTX_MEMORY_POOL_GET_NAME_DISABLE
+#define EVR_RTX_MEMORY_POOL_ALLOC_DISABLE
+#define EVR_RTX_MEMORY_POOL_ALLOC_PENDING_DISABLE
+#define EVR_RTX_MEMORY_POOL_ALLOC_TIMEOUT_DISABLE
+#define EVR_RTX_MEMORY_POOL_ALLOCATED_DISABLE
+#define EVR_RTX_MEMORY_POOL_ALLOC_FAILED_DISABLE
+#define EVR_RTX_MEMORY_POOL_FREE_DISABLE
+#define EVR_RTX_MEMORY_POOL_DEALLOCATED_DISABLE
+#define EVR_RTX_MEMORY_POOL_FREE_FAILED_DISABLE
+#define EVR_RTX_MEMORY_POOL_GET_CAPACITY_DISABLE
+#define EVR_RTX_MEMORY_POOL_GET_BLOCK_SZIE_DISABLE
+#define EVR_RTX_MEMORY_POOL_GET_COUNT_DISABLE
+#define EVR_RTX_MEMORY_POOL_GET_SPACE_DISABLE
+#define EVR_RTX_MEMORY_POOL_DELETE_DISABLE
+#define EVR_RTX_MEMORY_POOL_DESTROYED_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_NEW_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_CREATED_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_GET_NAME_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_PUT_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_PUT_PENDING_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_PUT_TIMEOUT_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_INSERT_PENDING_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_INSERTED_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_NOT_INSERTED_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_GET_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_GET_PENDING_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_GET_TIMEOUT_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_RETRIEVED_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_NOT_RETRIEVED_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_GET_CAPACITY_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_GET_MSG_SIZE_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_GET_COUNT_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_GET_SPACE_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_RESET_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_RESET_DONE_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_DELETE_DISABLE
+#define EVR_RTX_MESSAGE_QUEUE_DESTROYED_DISABLE
+
+#endif /* MBED_RTX_CONF_H */
Index: EcnlProtoTool/trunk/asp3_dcre/mbed/tMbedSerial.c
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/mbed/tMbedSerial.c	(revision 429)
+++ EcnlProtoTool/trunk/asp3_dcre/mbed/tMbedSerial.c	(revision 429)
@@ -0,0 +1,204 @@
+/*
+ *  TOPPERS/ASP Kernel
+ *      Toyohashi Open Platform for Embedded Real-Time Systems/
+ *      Advanced Standard Profile Kernel
+ * 
+ *  Copyright (C) 2006-2016 by Embedded and Real-Time Systems Laboratory
+ *              Graduate School of Information Science, Nagoya Univ., JAPAN
+ * 
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
+ * 
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
+ * 
+ *  $Id$
+ */
+
+/*
+ *		FIFO内蔵シリアルコミュニケーションインタフェース用 簡易SIOドライバ
+ */
+
+#include <sil.h>
+#include "tMbedSerial_tecsgen.h"
+#include "serial_api.h"
+
+static void mbed_serial_irq_handler(uint32_t id, SerialIrq event);
+
+/*
+ *  シリアルI/Oポートのオープン
+ */
+void
+eSIOPort_open(CELLIDX idx)
+{
+	CELLCB	*p_cellcb = GET_CELLCB(idx);
+	serial_t *obj = &p_cellcb->serial;
+	uint_t	brr;
+
+	if (VAR_initialized) {
+		/*
+		 *  既に初期化している場合は、二重に初期化しない．
+		 */
+		return;
+	}
+
+	serial_init(obj, ATTR_tx, ATTR_rx);
+	serial_baud(obj, ATTR_baudRate);
+	serial_format(obj, 8, ParityNone, 1);
+
+	serial_irq_handler(obj, mbed_serial_irq_handler, idx);
+
+	VAR_initialized = true;
+}
+
+/*
+ *  シリアルI/Oポートのクローズ
+ */
+void
+eSIOPort_close(CELLIDX idx)
+{
+	CELLCB	*p_cellcb = GET_CELLCB(idx);
+	serial_t *obj = &p_cellcb->serial;
+
+	serial_free(obj);
+}
+
+/*
+ *  シリアルI/Oポートへの文字送信
+ */
+bool_t
+eSIOPort_putChar(CELLIDX idx, char c)
+{
+	CELLCB	*p_cellcb = GET_CELLCB(idx);
+	serial_t *obj = &p_cellcb->serial;
+
+	if (serial_writable(obj)){
+		serial_putc(obj, c);
+		return(true);
+	}
+	return(false);
+}
+
+/*
+ *  シリアルI/Oポートからの文字受信
+ */
+int_t
+eSIOPort_getChar(CELLIDX idx)
+{
+	CELLCB	*p_cellcb = GET_CELLCB(idx);
+	serial_t *obj = &p_cellcb->serial;
+	char	c;
+
+	if (serial_readable(obj)) {
+		return serial_getc(obj);
+	}
+	return(-1);
+}
+
+/*
+ *  シリアルI/Oポートからのコールバックの許可
+ */
+void
+eSIOPort_enableCBR(CELLIDX idx, uint_t cbrtn)
+{
+	CELLCB		*p_cellcb = GET_CELLCB(idx);
+	serial_t *obj = &p_cellcb->serial;
+
+	switch (cbrtn) {
+	case SIOSendReady:
+		serial_irq_set(obj, TxIrq, true);
+		break;
+	case SIOReceiveReady:
+		serial_irq_set(obj, RxIrq, true);
+		break;
+	}
+}
+
+/*
+ *  シリアルI/Oポートからのコールバックの禁止
+ */
+void
+eSIOPort_disableCBR(CELLIDX idx, uint_t cbrtn)
+{
+	CELLCB		*p_cellcb = GET_CELLCB(idx);
+	serial_t *obj = &p_cellcb->serial;
+
+	switch (cbrtn) {
+	case SIOSendReady:
+		serial_irq_set(obj, TxIrq, false);
+		break;
+	case SIOReceiveReady:
+		serial_irq_set(obj, RxIrq, false);
+		break;
+	}
+}
+
+/*
+ *  シリアルI/Oポートに対する受信割込み処理
+ */
+void
+eiRxISR_main(CELLIDX idx)
+{
+	CELLCB	*p_cellcb = GET_CELLCB(idx);
+	serial_t *obj = &p_cellcb->serial;
+
+	if (serial_readable(obj)) {
+		/*
+		 *  受信通知コールバックルーチンを呼び出す．
+		 */
+		ciSIOCBR_readyReceive();
+	}
+}
+
+/*
+ *  シリアルI/Oポートに対する送信割込み処理
+ */
+void
+eiTxISR_main(CELLIDX idx)
+{
+	CELLCB	*p_cellcb = GET_CELLCB(idx);
+	serial_t *obj = &p_cellcb->serial;
+
+	if (serial_writable(obj)) {
+		/*
+		 *  送信可能コールバックルーチンを呼び出す．
+		 */
+		ciSIOCBR_readySend();
+	}
+}
+
+void
+mbed_serial_irq_handler(uint32_t id, SerialIrq event)
+{
+	switch (event) {
+	case TxIrq:
+		eiTxISR_main(id);
+		break;
+	case RxIrq:
+		eiRxISR_main(id);
+		break;
+	}
+}
Index: EcnlProtoTool/trunk/asp3_dcre/mbed/tMbedSerial.cdl
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/mbed/tMbedSerial.cdl	(revision 429)
+++ EcnlProtoTool/trunk/asp3_dcre/mbed/tMbedSerial.cdl	(revision 429)
@@ -0,0 +1,70 @@
+/*
+ *  TOPPERS Software
+ *      Toyohashi Open Platform for Embedded Real-Time Systems
+ * 
+ *  Copyright (C) 2015 by Ushio Laboratory
+ *              Graduate School of Engineering Science, Osaka Univ., JAPAN
+ *  Copyright (C) 2015,2016 by Embedded and Real-Time Systems Laboratory
+ *              Graduate School of Information Science, Nagoya Univ., JAPAN
+ * 
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
+ * 
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
+ * 
+ *  $Id$
+ */
+
+/*
+ *		FIFO内蔵シリアルコミュニケーションインタフェース用 簡易SIOドラ
+ *		イバのコンポーネント記述
+ */
+
+/*
+ *  FIFO内蔵シリアルコミュニケーションインタフェースに関する定義のイン
+ *  ポート
+ */
+import_C("serial_api.h");
+
+/*
+ *  FIFO内蔵シリアルコミュニケーションインタフェース用 簡易SIOドライバ
+ *  のセルタイプ
+ */
+celltype tMbedSerial {
+	entry	sSIOPort	eSIOPort;
+	call	siSIOCBR	ciSIOCBR;
+
+	attr {
+		int32_t tx;
+		int32_t rx;
+		uint32_t	baudRate;		/* ボーレートの設定値 */
+	};
+	var {
+		bool_t		initialized = false;	/* 初期化済み */
+		serial_t	serial;
+	};
+};
Index: EcnlProtoTool/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/PeripheralPins.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/PeripheralPins.h	(revision 429)
+++ EcnlProtoTool/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/PeripheralPins.h	(revision 429)
@@ -0,0 +1,64 @@
+/* mbed Microcontroller Library
+ * Copyright (c) 2006-2015 ARM Limited
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *     http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+ 
+#ifndef MBED_PERIPHERALPINS_H
+#define MBED_PERIPHERALPINS_H
+
+#include "pinmap.h"
+#include "PeripheralNames.h"
+
+typedef struct {
+    PinName pin;
+    int function;
+    int pm;
+} PinFunc;
+
+/************IRQ***************/
+extern const PinMap PinMap_IRQ[];
+
+/************PINMAP***************/
+extern const PinFunc PIPC_0_tbl[];
+
+/************ADC***************/
+extern const PinMap PinMap_ADC[];
+
+/************DAC***************/
+extern const PinMap PinMap_DAC[];
+
+/************I2C***************/
+extern const PinMap PinMap_I2C_SDA[];
+extern const PinMap PinMap_I2C_SCL[];
+
+/************UART***************/
+extern const PinMap PinMap_UART_TX[];
+extern const PinMap PinMap_UART_RX[];
+extern const PinMap PinMap_UART_CTS[];
+extern const PinMap PinMap_UART_RTS[];
+
+/************SPI***************/
+extern const PinMap PinMap_SPI_SCLK[];
+extern const PinMap PinMap_SPI_MOSI[];
+extern const PinMap PinMap_SPI_MISO[];
+extern const PinMap PinMap_SPI_SSEL[];
+
+/************PWM***************/
+extern const PinMap PinMap_PWM[];
+
+/************CAN***************/
+extern const PinMap PinMap_CAN_RD[];
+extern const PinMap PinMap_CAN_TD[];
+
+#endif
Index: EcnlProtoTool/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/TARGET_RZ_A1H/PeripheralNames.h
===================================================================
--- EcnlProtoTool/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/TARGET_RZ_A1H/PeripheralNames.h	(revision 429)
+++ EcnlProtoTool/trunk/asp3_dcre/mbed/targets/TARGET_RENESAS/TARGET_RZA1XX/TARGET_RZ_A1H/PeripheralNames.h	(revision 429)
@@ -0,0 +1,109 @@
+/* mbed Microcontroller Library
+ * Copyright (c) 2006-2013 ARM Limited
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *     http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS,
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+#ifndef MBED_PERIPHERALNAMES_H
+#define MBED_PERIPHERALNAMES_H
+
+#include "cmsis.h"
+#include "PinNames.h"
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+typedef enum {
+    UART0,
+    UART1,
+    UART2,
+    UART3,
+    UART4,
+    UART5,
+    UART6,
+    UART7,
+} UARTName;
+
+typedef enum {
+    PWM_PWM1A  = 0,
+    PWM_PWM1B,
+    PWM_PWM1C,
+    PWM_PWM1D,
+    PWM_PWM1E,
+    PWM_PWM1F,
+    PWM_PWM1G,
+    PWM_PWM1H,
+    PWM_PWM2A,
+    PWM_PWM2B,
+    PWM_PWM2C,
+    PWM_PWM2D,
+    PWM_PWM2E,
+    PWM_PWM2F,
+    PWM_PWM2G,
+    PWM_PWM2H,
+    PWM_TIOC0A = 0x20,
+    PWM_TIOC0C,
+    PWM_TIOC1A,
+    PWM_TIOC2A,
+    PWM_TIOC3A,
+    PWM_TIOC3C,
+    PWM_TIOC4A,
+    PWM_TIOC4C,
+} PWMName;
+
+typedef enum {
+    AN0= 0,
+    AN1= 1,
+    AN2= 2,
+    AN3= 3,
+    AN4= 4,
+    AN5= 5,
+    AN6= 6,
+    AN7= 7,
+} ADCName;
+
+typedef enum {
+    SPI_0 = 0,
+    SPI_1,
+    SPI_2,
+    SPI_3,
+    SPI_4,
+} SPIName;
+
+typedef enum {
+    I2C_0 = 0,
+    I2C_1,
+    I2C_2,
+    I2C_3,
+} I2CName;
+
+typedef enum {
+    CAN_0 = 0,
+    CAN_1,
+    CAN_2,
+    CAN_3,
+    CAN_4,
+} CANName;
+
+
+#define STDIO_UART_TX     USBTX
+#define STDIO_UART_RX     USBRX
+#define STDIO_UART        UART2
+
+
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif
